Bug 199165 - snmptrap does not search for mibs in default mib directory
snmptrap does not search for mibs in default mib directory
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks: 244783 244784
  Show dependency treegraph
 
Reported: 2006-07-17 13:25 EDT by Brian Reichert
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0738
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:00:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch resolving this issue (407 bytes, patch)
2007-06-14 07:02 EDT, Jan Safranek
no flags Details | Diff

  None (edit)
Description Brian Reichert 2006-07-17 13:25:37 EDT
Description of problem:

  We publish our own MIB, in a separate directory.  According to snmpcmd(1), 
  I should be able to use this command to use our MIB, in addition to the
  default ones:

    env - snmptrap -M +/our/mib/dir ...

  However, the errors I get make it clear the default MIBs are not being read:

    Cannot find module (IP-MIB): At line 0 in (none)
    Cannot find module (IF-MIB): At line 0 in (none)
    Cannot find module (TCP-MIB): At line 0 in (none)
    Cannot find module (UDP-MIB): At line 0 in (none)
    Cannot find module (HOST-RESOURCES-MIB): At line 0 in (none)

Version-Release number of selected component (if applicable):

  net-snmp-utils-5.1.2-11.EL4.6.i386.rpm


How reproducible:


Steps to Reproduce:
1. (see below)
2.
3.
  
Actual results:

    env - snmptrap -M +/our/mib/dir ...

  However, the errors I get make it clear the default MIBs are not being read:

    Cannot find module (IP-MIB): At line 0 in (none)
    Cannot find module (IF-MIB): At line 0 in (none)
    Cannot find module (TCP-MIB): At line 0 in (none)
    Cannot find module (UDP-MIB): At line 0 in (none)
    Cannot find module (HOST-RESOURCES-MIB): At line 0 in (none)
    ...

Expected results:

  (no errors.)


Additional info:

   The manpage says, in part:

    -M DIRLIST
              Specifies a colon separated list of directories to  search  for
              MIBs.  This overrides the environment variable MIBDIRS.

              ...

              If  DIRLIST  has  a leading ’+’, then the given directories are
              added to the list of MIB directories.

              ...

              If no value is specified for the environment variable  MIBDIRS,
              then  the  command  will  still search a default mib directory   
                                     
              ....

              The  default  directory  is /usr/share/snmp/mibs.

  Using strace shows that the default directory is never looked at.

  Augmenting my invokation thusly gives me the result I want:

    env - snmptrap -M /usr/share/snmp/mibs:/our/mib/dir ...
Comment 1 Jan Safranek 2007-06-14 07:01:20 EDT
Still reproducible with RHEL 4.5, RHEL 5.0 and Fedora Core 6. I'll contact
upstream...
Comment 2 Jan Safranek 2007-06-14 07:02:46 EDT
Created attachment 156979 [details]
patch resolving this issue
Comment 3 RHEL Product and Program Management 2007-06-14 07:04:44 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2007-11-15 11:00:11 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0738.html

Note You need to log in before you can comment on or make changes to this bug.